# CMake generated Testfile for 
# Source directory: /home/valentin/src/GeographicLib-1.50.1
# Build directory: /home/valentin/src/GeographicLib-1.50.1/BUILD
# 
# This file includes the relevant testing commands required for 
# testing this directory and lists subdirectories to be tested as well.
add_test(GeoConvert0 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeoConvert" "-p" "-3" "-m" "--input-string" "33.3 44.4")
set_tests_properties(GeoConvert0 PROPERTIES  PASS_REGULAR_EXPRESSION "38SMB4484")
add_test(GeoConvert1 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeoConvert" "-d" "--input-string" "38smb")
set_tests_properties(GeoConvert1 PROPERTIES  PASS_REGULAR_EXPRESSION "32d59'14\\.1\"N 044d27'53\\.4\"E")
add_test(GeoConvert2 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeoConvert" "-p" "-2" "--input-string" "30d30'30\" 30.50833")
set_tests_properties(GeoConvert2 PROPERTIES  PASS_REGULAR_EXPRESSION "30\\.508 30\\.508")
add_test(GeoConvert3 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeoConvert" "--junk")
set_tests_properties(GeoConvert3 PROPERTIES  WILL_FAIL "ON")
add_test(GeoConvert4 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeoConvert" "--input-string" "garbage")
set_tests_properties(GeoConvert4 PROPERTIES  WILL_FAIL "ON")
add_test(GeoConvert5 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeoConvert" "--input-string" "5d. 0")
set_tests_properties(GeoConvert5 PROPERTIES  WILL_FAIL "ON")
add_test(GeoConvert6 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeoConvert" "-p" "9" "--input-string" "0 179.99999999999998578")
set_tests_properties(GeoConvert6 PROPERTIES  PASS_REGULAR_EXPRESSION "179\\.9999999999999[7-9]")
add_test(GeoConvert7 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeoConvert" "--version")
add_test(GeoConvert8 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeoConvert" "-u" "-p" "6" "--input-string" "86 0")
set_tests_properties(GeoConvert8 PROPERTIES  PASS_REGULAR_EXPRESSION "n 2000000\\.0* 1555731\\.570643")
add_test(GeoConvert9 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeoConvert" "--input-string" "5d70.0 10")
set_tests_properties(GeoConvert9 PROPERTIES  WILL_FAIL "ON")
add_test(GeoConvert10 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeoConvert" "--input-string" "5d60 10")
set_tests_properties(GeoConvert10 PROPERTIES  WILL_FAIL "ON")
add_test(GeoConvert11 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeoConvert" "--input-string" "5d59 10")
add_test(GeoConvert12 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeoConvert" "--input-string" "5d60. 10")
add_test(GeoConvert13 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeoConvert" "--input-string" "5d60.0 10")
add_test(GeoConvert14 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeoConvert" "-:" "-p" "-4" "--input-string" "5.25 5.75")
set_tests_properties(GeoConvert14 PROPERTIES  PASS_REGULAR_EXPRESSION "05.2N 005.8E")
add_test(GeoConvert15 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeoConvert" "-:" "-p" "-1" "--input-string" "5.03125 5.09375")
set_tests_properties(GeoConvert15 PROPERTIES  PASS_REGULAR_EXPRESSION "05:01:52N 005:05:38E")
add_test(GeoConvert16 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeoConvert" "-m" "-p" "3" "--input-string" "38n 444140.6 3684706.3")
set_tests_properties(GeoConvert16 PROPERTIES  PASS_REGULAR_EXPRESSION "38SMB4414060084706300")
add_test(GeoConvert17 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeoConvert" "-m" "-p" "3" "--input-string" "38n 500000 63.811")
set_tests_properties(GeoConvert17 PROPERTIES  PASS_REGULAR_EXPRESSION "38NNF0000000000063811")
add_test(GeoConvert18 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeoConvert" "-m" "-p" "4" "--input-string" "38n 500000 63.811")
set_tests_properties(GeoConvert18 PROPERTIES  PASS_REGULAR_EXPRESSION "38NNF000000000000638110")
add_test(GeoConvert19 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeoConvert" "-m" "-p" "-6" "--input-string" "s 2746000 1515000")
set_tests_properties(GeoConvert19 PROPERTIES  PASS_REGULAR_EXPRESSION "^B[
]")
add_test(GeoConvert20 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeoConvert" "-m" "-p" "-5" "--input-string" "s 2746000 1515000")
set_tests_properties(GeoConvert20 PROPERTIES  PASS_REGULAR_EXPRESSION "^BKH[
]")
add_test(GeoConvert21 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeoConvert" "-m" "-p" "-4" "--input-string" "s 2746000 1515000")
set_tests_properties(GeoConvert21 PROPERTIES  PASS_REGULAR_EXPRESSION "^BKH41[
]")
add_test(GeodSolve0 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "-p" "0" "--input-string" "40.6 -73.8 49d01'N 2d33'E")
set_tests_properties(GeodSolve0 PROPERTIES  PASS_REGULAR_EXPRESSION "53\\.47022 111\\.59367 5853226")
add_test(GeodSolve1 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-p" "0" "--input-string" "40d38'23\"N 073d46'44\"W 53d30' 5850e3")
set_tests_properties(GeodSolve1 PROPERTIES  PASS_REGULAR_EXPRESSION "49\\.01467 2\\.56106 111\\.62947")
add_test(GeodSolve2 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "-p" "0" "-e" "6.4e6" "-1/150" "--input-string" "0.07476 0 -0.07476 180")
set_tests_properties(GeodSolve2 PROPERTIES  PASS_REGULAR_EXPRESSION "90\\.00078 90\\.00078 20106193")
add_test(GeodSolve3 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "-p" "0" "-e" "6.4e6" "-1/150" "--input-string" "0.1 0 -0.1 180")
set_tests_properties(GeodSolve3 PROPERTIES  PASS_REGULAR_EXPRESSION "90\\.00105 90\\.00105 20106193")
add_test(GeodSolve4 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "--input-string" "36.493349428792 0 36.49334942879201 .0000008")
set_tests_properties(GeodSolve4 PROPERTIES  PASS_REGULAR_EXPRESSION ".* .* 0\\.072")
add_test(GeodSolve5 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-p" "0" "--input-string" "0.01777745589997 30 0 10e6")
set_tests_properties(GeodSolve5 PROPERTIES  PASS_REGULAR_EXPRESSION "90\\.00000 -150\\.00000 -?180\\.00000;90\\.00000 30\\.00000 0\\.00000")
add_test(GeodSolve6 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "--input-string" "88.202499451857 0 -88.202499451857 179.981022032992859592")
set_tests_properties(GeodSolve6 PROPERTIES  PASS_REGULAR_EXPRESSION ".* .* 20003898.214")
add_test(GeodSolve7 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "--input-string" "89.262080389218 0 -89.262080389218 179.992207982775375662")
set_tests_properties(GeodSolve7 PROPERTIES  PASS_REGULAR_EXPRESSION ".* .* 20003925.854")
add_test(GeodSolve8 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "--input-string" "89.333123580033 0 -89.333123580032997687 179.99295812360148422")
set_tests_properties(GeodSolve8 PROPERTIES  PASS_REGULAR_EXPRESSION ".* .* 20003926.881")
add_test(GeodSolve9 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "--input-string" "56.320923501171 0 -56.320923501171 179.664747671772880215")
set_tests_properties(GeodSolve9 PROPERTIES  PASS_REGULAR_EXPRESSION ".* .* 19993558.287")
add_test(GeodSolve10 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "--input-string" "52.784459512564 0 -52.784459512563990912 179.634407464943777557")
set_tests_properties(GeodSolve10 PROPERTIES  PASS_REGULAR_EXPRESSION ".* .* 19991596.095")
add_test(GeodSolve11 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "--input-string" "48.522876735459 0 -48.52287673545898293 179.599720456223079643")
set_tests_properties(GeodSolve11 PROPERTIES  PASS_REGULAR_EXPRESSION ".* .* 19989144.774")
add_test(GeodSolve12 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "-e" "89.8" "-1.83" "-p" "1" "--input-string" "0 0 -10 160")
set_tests_properties(GeodSolve12 PROPERTIES  PASS_REGULAR_EXPRESSION "120\\.27.* 105\\.15.* 266\\.7")
add_test(GeodSolve13 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "-e" "89.8" "-1.83" "-p" "1" "--input-string" "0 0 -10 160" "-E")
set_tests_properties(GeodSolve13 PROPERTIES  PASS_REGULAR_EXPRESSION "120\\.27.* 105\\.15.* 266\\.7")
add_test(GeodSolve14 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "--input-string" "0 0 1 nan")
set_tests_properties(GeodSolve14 PROPERTIES  PASS_REGULAR_EXPRESSION "nan nan nan")
add_test(GeodSolve15 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-e" "6.4e6" "-1/150" "-f" "--input-string" "1 2 3 4")
set_tests_properties(GeodSolve15 PROPERTIES  PASS_REGULAR_EXPRESSION "1\\..* 2\\..* 3\\..* 1\\..* 2\\..* 3\\..* 4\\..* 0\\..* 4\\..* 1\\..* 1\\..* 23700")
add_test(GeodSolve16 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-e" "6.4e6" "-1/150" "-f" "--input-string" "1 2 3 4" "-E")
set_tests_properties(GeodSolve16 PROPERTIES  PASS_REGULAR_EXPRESSION "1\\..* 2\\..* 3\\..* 1\\..* 2\\..* 3\\..* 4\\..* 0\\..* 4\\..* 1\\..* 1\\..* 23700")
add_test(GeodSolve17 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-u" "--input-string" "40 -75 -10 2e7")
set_tests_properties(GeodSolve17 PROPERTIES  PASS_REGULAR_EXPRESSION "-39\\.[0-9]* -254\\.[0-9]* -170\\.[0-9]*")
add_test(GeodSolve18 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-u" "--input-string" "40 -75 -10 2e7" "-E")
set_tests_properties(GeodSolve18 PROPERTIES  PASS_REGULAR_EXPRESSION "-39\\.[0-9]* -254\\.[0-9]* -170\\.[0-9]*")
add_test(GeodSolve19 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-u" "-L" "40" "-75" "-10" "--input-string" "2e7")
set_tests_properties(GeodSolve19 PROPERTIES  PASS_REGULAR_EXPRESSION "-39\\.[0-9]* -254\\.[0-9]* -170\\.[0-9]*")
add_test(GeodSolve20 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-u" "-L" "40" "-75" "-10" "--input-string" "2e7" "-E")
set_tests_properties(GeodSolve20 PROPERTIES  PASS_REGULAR_EXPRESSION "-39\\.[0-9]* -254\\.[0-9]* -170\\.[0-9]*")
add_test(GeodSolve21 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "--input-string" "40 -75 -10 2e7")
set_tests_properties(GeodSolve21 PROPERTIES  PASS_REGULAR_EXPRESSION "-39\\.[0-9]* 105\\.[0-9]* -170\\.[0-9]*")
add_test(GeodSolve22 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "--input-string" "40 -75 -10 2e7" "-E")
set_tests_properties(GeodSolve22 PROPERTIES  PASS_REGULAR_EXPRESSION "-39\\.[0-9]* 105\\.[0-9]* -170\\.[0-9]*")
add_test(GeodSolve23 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-L" "40" "-75" "-10" "--input-string" "2e7")
set_tests_properties(GeodSolve23 PROPERTIES  PASS_REGULAR_EXPRESSION "-39\\.[0-9]* 105\\.[0-9]* -170\\.[0-9]*")
add_test(GeodSolve24 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-L" "40" "-75" "-10" "--input-string" "2e7" "-E")
set_tests_properties(GeodSolve24 PROPERTIES  PASS_REGULAR_EXPRESSION "-39\\.[0-9]* 105\\.[0-9]* -170\\.[0-9]*")
add_test(GeodSolve25 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-p" "6" "--input-string" "0 0 7:33:36-7.56 10001965")
set_tests_properties(GeodSolve25 PROPERTIES  PASS_REGULAR_EXPRESSION "89\\.9[0-9]* 0\\.00000000000 0\\.00000000000")
add_test(GeodSolve26 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "-f" "-e" "6.4e6" "0" "--input-string" "1 2 3 4")
set_tests_properties(GeodSolve26 PROPERTIES  PASS_REGULAR_EXPRESSION " 49911046115")
add_test(GeodSolve27 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "-f" "-e" "6.4e6" "0" "--input-string" "1 2 3 4" "-E")
set_tests_properties(GeodSolve27 PROPERTIES  PASS_REGULAR_EXPRESSION " 49911046115")
add_test(GeodSolve28 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-f" "-e" "6.4e6" "0.1" "-p" "3" "--input-string" "1 2 10 5e6")
set_tests_properties(GeodSolve28 PROPERTIES  PASS_REGULAR_EXPRESSION " 48.55570690 ")
add_test(GeodSolve29 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "-f" "-p" "0" "--input-string" "0 539 0 181")
set_tests_properties(GeodSolve29 PROPERTIES  PASS_REGULAR_EXPRESSION "0\\..* 179\\..* 90\\..* 0\\..* -179\\..* 90\\..* 222639 ")
add_test(GeodSolve30 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "-f" "-p" "0" "--input-string" "0 539 0 181" "-E")
set_tests_properties(GeodSolve30 PROPERTIES  PASS_REGULAR_EXPRESSION "0\\..* 179\\..* 90\\..* 0\\..* -179\\..* 90\\..* 222639 ")
add_test(GeodSolve31 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "-f" "-p" "0" "--input-string" "0 539 0 181" "-u")
set_tests_properties(GeodSolve31 PROPERTIES  PASS_REGULAR_EXPRESSION "0\\..* 539\\..* 90\\..* 0\\..* 541\\..* 90\\..* 222639 ")
add_test(GeodSolve32 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "-f" "-p" "0" "--input-string" "0 539 0 181" "-u" "-E")
set_tests_properties(GeodSolve32 PROPERTIES  PASS_REGULAR_EXPRESSION "0\\..* 539\\..* 90\\..* 0\\..* 541\\..* 90\\..* 222639 ")
add_test(GeodSolve33 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "-p" "0" "--input-string" "0 0 0 179")
set_tests_properties(GeodSolve33 PROPERTIES  PASS_REGULAR_EXPRESSION "90\\.00000 90\\.00000 19926189")
add_test(GeodSolve34 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "-p" "0" "--input-string" "0 0 0 179" "-E")
set_tests_properties(GeodSolve34 PROPERTIES  PASS_REGULAR_EXPRESSION "90\\.00000 90\\.00000 19926189")
add_test(GeodSolve35 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "-p" "0" "--input-string" "0 0 0 179.5")
set_tests_properties(GeodSolve35 PROPERTIES  PASS_REGULAR_EXPRESSION "55\\.96650 124\\.03350 19980862")
add_test(GeodSolve36 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "-p" "0" "--input-string" "0 0 0 179.5" "-E")
set_tests_properties(GeodSolve36 PROPERTIES  PASS_REGULAR_EXPRESSION "55\\.96650 124\\.03350 19980862")
add_test(GeodSolve37 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "-p" "0" "--input-string" "0 0 0 180")
set_tests_properties(GeodSolve37 PROPERTIES  PASS_REGULAR_EXPRESSION "0\\.00000 -?180\\.00000 20003931")
add_test(GeodSolve38 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "-p" "0" "--input-string" "0 0 0 180" "-E")
set_tests_properties(GeodSolve38 PROPERTIES  PASS_REGULAR_EXPRESSION "0\\.00000 -?180\\.00000 20003931")
add_test(GeodSolve39 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "-p" "0" "--input-string" "0 0 1 180")
set_tests_properties(GeodSolve39 PROPERTIES  PASS_REGULAR_EXPRESSION "0\\.00000 -?180\\.00000 19893357")
add_test(GeodSolve40 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "-p" "0" "--input-string" "0 0 1 180" "-E")
set_tests_properties(GeodSolve40 PROPERTIES  PASS_REGULAR_EXPRESSION "0\\.00000 -?180\\.00000 19893357")
add_test(GeodSolve41 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "-p" "0" "--input-string" "0 0 0 179" "-e" "6.4e6" "0")
set_tests_properties(GeodSolve41 PROPERTIES  PASS_REGULAR_EXPRESSION "90\\.00000 90\\.00000 19994492")
add_test(GeodSolve42 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "-p" "0" "--input-string" "0 0 0 179" "-e" "6.4e6" "0" "-E")
set_tests_properties(GeodSolve42 PROPERTIES  PASS_REGULAR_EXPRESSION "90\\.00000 90\\.00000 19994492")
add_test(GeodSolve43 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "-p" "0" "--input-string" "0 0 0 180" "-e" "6.4e6" "0")
set_tests_properties(GeodSolve43 PROPERTIES  PASS_REGULAR_EXPRESSION "0\\.00000 -?180\\.00000 20106193")
add_test(GeodSolve44 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "-p" "0" "--input-string" "0 0 0 180" "-e" "6.4e6" "0" "-E")
set_tests_properties(GeodSolve44 PROPERTIES  PASS_REGULAR_EXPRESSION "0\\.00000 -?180\\.00000 20106193")
add_test(GeodSolve45 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "-p" "0" "--input-string" "0 0 1 180" "-e" "6.4e6" "0")
set_tests_properties(GeodSolve45 PROPERTIES  PASS_REGULAR_EXPRESSION "0\\.00000 -?180\\.00000 19994492")
add_test(GeodSolve46 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "-p" "0" "--input-string" "0 0 1 180" "-e" "6.4e6" "0" "-E")
set_tests_properties(GeodSolve46 PROPERTIES  PASS_REGULAR_EXPRESSION "0\\.00000 -?180\\.00000 19994492")
add_test(GeodSolve47 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "-p" "0" "--input-string" "0 0 0 179" "-e" "6.4e6" "-1/300")
set_tests_properties(GeodSolve47 PROPERTIES  PASS_REGULAR_EXPRESSION "90\\.00000 90\\.00000 19994492")
add_test(GeodSolve48 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "-p" "0" "--input-string" "0 0 0 179" "-e" "6.4e6" "-1/300" "-E")
set_tests_properties(GeodSolve48 PROPERTIES  PASS_REGULAR_EXPRESSION "90\\.00000 90\\.00000 19994492")
add_test(GeodSolve49 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "-p" "0" "--input-string" "0 0 0 180" "-e" "6.4e6" "-1/300")
set_tests_properties(GeodSolve49 PROPERTIES  PASS_REGULAR_EXPRESSION "90\\.00000 90\\.00000 20106193")
add_test(GeodSolve50 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "-p" "0" "--input-string" "0 0 0 180" "-e" "6.4e6" "-1/300" "-E")
set_tests_properties(GeodSolve50 PROPERTIES  PASS_REGULAR_EXPRESSION "90\\.00000 90\\.00000 20106193")
add_test(GeodSolve51 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "-p" "0" "--input-string" "0 0 0.5 180" "-e" "6.4e6" "-1/300")
set_tests_properties(GeodSolve51 PROPERTIES  PASS_REGULAR_EXPRESSION "33\\.02493 146\\.97364 20082617")
add_test(GeodSolve52 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "-p" "0" "--input-string" "0 0 0.5 180" "-e" "6.4e6" "-1/300" "-E")
set_tests_properties(GeodSolve52 PROPERTIES  PASS_REGULAR_EXPRESSION "33\\.02493 146\\.97364 20082617")
add_test(GeodSolve53 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "-p" "0" "--input-string" "0 0 1 180" "-e" "6.4e6" "-1/300")
set_tests_properties(GeodSolve53 PROPERTIES  PASS_REGULAR_EXPRESSION "0\\.00000 -?180\\.00000 20027270")
add_test(GeodSolve54 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "-p" "0" "--input-string" "0 0 1 180" "-e" "6.4e6" "-1/300" "-E")
set_tests_properties(GeodSolve54 PROPERTIES  PASS_REGULAR_EXPRESSION "0\\.00000 -?180\\.00000 20027270")
add_test(GeodSolve55 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "--input-string" "nan 0 0 90")
set_tests_properties(GeodSolve55 PROPERTIES  PASS_REGULAR_EXPRESSION "nan nan nan")
add_test(GeodSolve56 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "--input-string" "nan 0 0 90" "-E")
set_tests_properties(GeodSolve56 PROPERTIES  PASS_REGULAR_EXPRESSION "nan nan nan")
add_test(GeodSolve57 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "--input-string" "nan 0 90 9")
set_tests_properties(GeodSolve57 PROPERTIES  PASS_REGULAR_EXPRESSION "nan nan nan")
add_test(GeodSolve58 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "--input-string" "nan 0 90 9" "-E")
set_tests_properties(GeodSolve58 PROPERTIES  PASS_REGULAR_EXPRESSION "nan nan nan")
add_test(GeodSolve59 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "-p" "9" "--input-string" "5 0.00000000000001 10 180")
set_tests_properties(GeodSolve59 PROPERTIES  PASS_REGULAR_EXPRESSION "0\\.0000000000000[34] 179\\.9999999999999[5-7] 18345191\\.17433271[2-6]")
add_test(GeodSolve60 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "-p" "9" "--input-string" "5 0.00000000000001 10 180" "-E")
set_tests_properties(GeodSolve60 PROPERTIES  PASS_REGULAR_EXPRESSION "0\\.0000000000000[34] 179\\.9999999999999[5-7] 18345191\\.17433271[2-6]")
add_test(GeodSolve61 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-u" "-p" "0" "--input-string" "45 0 -0.000000000000000003 1e7")
set_tests_properties(GeodSolve61 PROPERTIES  PASS_REGULAR_EXPRESSION "45\\.30632 -180\\.00000 -?180\\.00000")
add_test(GeodSolve62 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-u" "-p" "0" "-I" "45" "0" "80" "-0.000000000000000003" "--input-string" "1e7")
set_tests_properties(GeodSolve62 PROPERTIES  PASS_REGULAR_EXPRESSION "45\\.30632 -180\\.00000 -?180\\.00000")
add_test(GeodSolve63 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-u" "-p" "0" "--input-string" "45 0 -0.000000000000000003 1e7" "-E")
set_tests_properties(GeodSolve63 PROPERTIES  PASS_REGULAR_EXPRESSION "45\\.30632 -180\\.00000 -?180\\.00000")
add_test(GeodSolve64 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-u" "-p" "0" "-I" "45" "0" "80" "-0.000000000000000003" "--input-string" "1e7" "-E")
set_tests_properties(GeodSolve64 PROPERTIES  PASS_REGULAR_EXPRESSION "45\\.30632 -180\\.00000 -?180\\.00000")
add_test(GeodSolve65 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-I" "30" "-0.000000000000000001" "-31" "180" "-f" "-u" "-p" "0" "--input-string" "1e7;2e7")
set_tests_properties(GeodSolve65 PROPERTIES  PASS_REGULAR_EXPRESSION "30\\.00000 -0\\.00000 -?180\\.00000 -60\\.23169 -0\\.00000 -?180\\.00000 10000000 90\\.06544 6363636 -0\\.0012834 0\\.0013749 0[
]+30\\.00000 -0\\.00000 -?180\\.00000 -30\\.03547 -180\\.00000 -0\\.00000 20000000 179\\.96459 54342 -1\\.0045592 -0\\.9954339 127516405431022")
add_test(GeodSolve66 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-I" "30" "-0.000000000000000001" "-31" "180" "-f" "-u" "-p" "0" "--input-string" "1e7;2e7" "-E")
set_tests_properties(GeodSolve66 PROPERTIES  PASS_REGULAR_EXPRESSION "30\\.00000 -0\\.00000 -?180\\.00000 -60\\.23169 -0\\.00000 -?180\\.00000 10000000 90\\.06544 6363636 -0\\.0012834 0\\.0013749 0[
]+30\\.00000 -0\\.00000 -?180\\.00000 -30\\.03547 -180\\.00000 -0\\.00000 20000000 179\\.96459 54342 -1\\.0045592 -0\\.9954339 127516405431022")
add_test(GeodSolve67 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-u" "-p" "0" "-I" "-5" "-0.000000000000002" "-10" "180" "--input-string" "2e7")
set_tests_properties(GeodSolve67 PROPERTIES  PASS_REGULAR_EXPRESSION "4\\.96445 -180\\.00000 -0\\.00000")
add_test(GeodSolve68 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-u" "-p" "0" "-I" "-5" "-0.000000000000002" "-10" "180" "--input-string" "2e7" "-E")
set_tests_properties(GeodSolve68 PROPERTIES  PASS_REGULAR_EXPRESSION "4\\.96445 -180\\.00000 -0\\.00000")
add_test(GeodSolve69 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-u" "-p" "0" "-I" "-5" "-0.000000000000002" "-10" "180" "--input-string" "0.5" "-F")
set_tests_properties(GeodSolve69 PROPERTIES  PASS_REGULAR_EXPRESSION "-87\\.52461 -0\\.00000 -180\\.00000")
add_test(GeodSolve70 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-u" "-p" "0" "-I" "-5" "-0.000000000000002" "-10" "180" "--input-string" "0.5" "-F" "-E")
set_tests_properties(GeodSolve70 PROPERTIES  PASS_REGULAR_EXPRESSION "-87\\.52461 -0\\.00000 -180\\.00000")
add_test(GeodSolve71 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-D" "1" "2" "45" "1e7" "-p" "0" "--input-string" "0.5" "-F")
set_tests_properties(GeodSolve71 PROPERTIES  PASS_REGULAR_EXPRESSION "30\\.92625 37\\.54640 55\\.43104")
add_test(GeodSolve72 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-D" "1" "2" "45" "1e7" "-p" "0" "--input-string" "0.5" "-F")
set_tests_properties(GeodSolve72 PROPERTIES  PASS_REGULAR_EXPRESSION "30\\.92625 37\\.54640 55\\.43104")
add_test(GeodSolve73 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-p" "0" "--input-string" "90 10 180 -1e6")
set_tests_properties(GeodSolve73 PROPERTIES  PASS_REGULAR_EXPRESSION "81\\.04623 -170\\.00000 0\\.00000")
add_test(GeodSolve74 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "-p" "10" "-f" "--input-string" "54.1589 15.3872 54.1591 15.3877")
set_tests_properties(GeodSolve74 PROPERTIES  PASS_REGULAR_EXPRESSION "54.* 15.* 55\\.72311035.* 54.* 15.* 55\\.72351567.* 39\\.52768638.* 0\\.00035549.* 39\\.52768638.* 0\\.99999999.* 0\\.99999999.* 286698586\\.302")
add_test(GeodSolve75 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "-p" "10" "-f" "--input-string" "54.1589 15.3872 54.1591 15.3877" "-E")
set_tests_properties(GeodSolve75 PROPERTIES  PASS_REGULAR_EXPRESSION "54.* 15.* 55\\.72311035.* 54.* 15.* 55\\.72351567.* 39\\.52768638.* 0\\.00035549.* 39\\.52768638.* 0\\.99999999.* 0\\.99999999.* 286698586\\.(29[89]|30[0-5])")
add_test(GeodSolve76 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "-p" "6" "--input-string" "41:19S 174:49E 40:58N 5:30W")
set_tests_properties(GeodSolve76 PROPERTIES  PASS_REGULAR_EXPRESSION "160\\.39137649664 19\\.50042925176 19960543\\.857179")
add_test(GeodSolve77 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "-p" "6" "--input-string" "41:19S 174:49E 40:58N 5:30W" "-E")
set_tests_properties(GeodSolve77 PROPERTIES  PASS_REGULAR_EXPRESSION "160\\.39137649664 19\\.50042925176 19960543\\.857179")
add_test(GeodSolve78 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "-p" "6" "--input-string" "27.2 0 -27.1 179.5")
set_tests_properties(GeodSolve78 PROPERTIES  PASS_REGULAR_EXPRESSION "45\\.82468716758 134\\.22776532670 19974354\\.765767")
add_test(GeodSolve79 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "-p" "6" "--input-string" "27.2 0 -27.1 179.5" "-E")
set_tests_properties(GeodSolve79 PROPERTIES  PASS_REGULAR_EXPRESSION "45\\.82468716758 134\\.22776532670 19974354\\.765767")
add_test(GeodSolve80 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "--input-string" "0 0 0 90" "-f")
set_tests_properties(GeodSolve80 PROPERTIES  PASS_REGULAR_EXPRESSION " -0\\.0052842753 -0\\.0052842753 ")
add_test(GeodSolve81 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "--input-string" "0 0 0.000001 0.000001" "-f")
set_tests_properties(GeodSolve81 PROPERTIES  PASS_REGULAR_EXPRESSION " 0\\.157 1\\.0000000000 1\\.0000000000 0")
add_test(GeodSolve82 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "--input-string" "20.001 0 20.001 0" "-f")
set_tests_properties(GeodSolve82 PROPERTIES  PASS_REGULAR_EXPRESSION "20\\.0010* 0\\.0* 180\\.0* 20\\.0010* 0\\.0* 180\\.0* 0\\.0* 0\\.0* 0\\.0* 1\\.0* 1\\.0* -?0")
add_test(GeodSolve83 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "-i" "--input-string" "90 0 90 180" "-f")
set_tests_properties(GeodSolve83 PROPERTIES  PASS_REGULAR_EXPRESSION "90\\.0* 0\\.0* 0\\.0* 90\\.0* 180\\.0* 180\\.0* 0\\.0* 0\\.0* 0\\.0* 1\\.0* 1\\.0* 127516405431022")
add_test(GeodSolve84 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "--input-string" "0 0 90 inf")
set_tests_properties(GeodSolve84 PROPERTIES  PASS_REGULAR_EXPRESSION "nan nan nan")
add_test(GeodSolve85 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "--input-string" "0 0 90 nan")
set_tests_properties(GeodSolve85 PROPERTIES  PASS_REGULAR_EXPRESSION "nan nan nan")
add_test(GeodSolve86 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "--input-string" "0 0 inf 1000")
set_tests_properties(GeodSolve86 PROPERTIES  PASS_REGULAR_EXPRESSION "nan nan nan")
add_test(GeodSolve87 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "--input-string" "0 0 nan 1000")
set_tests_properties(GeodSolve87 PROPERTIES  PASS_REGULAR_EXPRESSION "nan nan nan")
add_test(GeodSolve88 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "--input-string" "0 inf 90 1000")
set_tests_properties(GeodSolve88 PROPERTIES  PASS_REGULAR_EXPRESSION "0\\.0* nan 90\\.0*")
add_test(GeodSolve89 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "--input-string" "0 nan 90 1000")
set_tests_properties(GeodSolve89 PROPERTIES  PASS_REGULAR_EXPRESSION "0\\.0* nan 90\\.0*")
add_test(GeodSolve90 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "--input-string" "inf 0 90 1000")
set_tests_properties(GeodSolve90 PROPERTIES  WILL_FAIL "ON")
add_test(GeodSolve91 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodSolve" "--input-string" "nan 0 90 1000")
set_tests_properties(GeodSolve91 PROPERTIES  PASS_REGULAR_EXPRESSION "nan nan nan")
add_test(Planimeter0 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/Planimeter" "--input-string" "89 0;89 90;89 180;89 270")
set_tests_properties(Planimeter0 PROPERTIES  PASS_REGULAR_EXPRESSION "4 631819\\.8745[0-9]+ 2495230567[78]\\.[0-9]+")
add_test(Planimeter1 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/Planimeter" "-r" "--input-string" "-89 0;-89 90;-89 180;-89 270")
set_tests_properties(Planimeter1 PROPERTIES  PASS_REGULAR_EXPRESSION "4 631819\\.8745[0-9]+ 2495230567[78]\\.[0-9]+")
add_test(Planimeter2 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/Planimeter" "--input-string" "0 -1;-1 0;0 1;1 0")
set_tests_properties(Planimeter2 PROPERTIES  PASS_REGULAR_EXPRESSION "4 627598\\.2731[0-9]+ 24619419146.[0-9]+")
add_test(Planimeter3 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/Planimeter" "--input-string" "90 0; 0 0; 0 90")
set_tests_properties(Planimeter3 PROPERTIES  PASS_REGULAR_EXPRESSION "3 30022685\\.[0-9]+ 63758202715511\\.[0-9]+")
add_test(Planimeter4 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/Planimeter" "-l" "--input-string" "90 0; 0 0; 0 90")
set_tests_properties(Planimeter4 PROPERTIES  PASS_REGULAR_EXPRESSION "3 20020719\\.[0-9]+")
add_test(Planimeter5 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/Planimeter" "--input-string" "89,0.1;89,90.1;89,-179.9")
set_tests_properties(Planimeter5 PROPERTIES  PASS_REGULAR_EXPRESSION "3 539297\\.[0-9]+ 1247615283[89]\\.[0-9]+")
add_test(Planimeter6 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/Planimeter" "-p" "8" "--input-string" "9 -0.00000000000001;9 180;9 0")
set_tests_properties(Planimeter6 PROPERTIES  PASS_REGULAR_EXPRESSION "3 36026861\\.[0-9]+ -?0.0[0-9]+")
add_test(Planimeter7 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/Planimeter" "-p" "8" "--input-string" "9  0.00000000000001;9 0;9 180")
set_tests_properties(Planimeter7 PROPERTIES  PASS_REGULAR_EXPRESSION "3 36026861\\.[0-9]+ -?0.0[0-9]+")
add_test(Planimeter8 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/Planimeter" "-p" "8" "--input-string" "9  0.00000000000001;9 180;9 0")
set_tests_properties(Planimeter8 PROPERTIES  PASS_REGULAR_EXPRESSION "3 36026861\\.[0-9]+ -?0.0[0-9]+")
add_test(Planimeter9 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/Planimeter" "-p" "8" "--input-string" "9 -0.00000000000001;9 0;9 180")
set_tests_properties(Planimeter9 PROPERTIES  PASS_REGULAR_EXPRESSION "3 36026861\\.[0-9]+ -?0.0[0-9]+")
add_test(Planimeter10 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/Planimeter" "-R" "--input-string" "41N 111:3W; 41N 104:3W; 45N 104:3W; 45N 111:3W")
set_tests_properties(Planimeter10 PROPERTIES  PASS_REGULAR_EXPRESSION "4 2029616\\.[0-9]+ 2535883763..\\.")
add_test(Planimeter11 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/Planimeter" "-R" "--input-string" "66:33:44 0; 66:33:44 180")
set_tests_properties(Planimeter11 PROPERTIES  PASS_REGULAR_EXPRESSION "2 15985058\\.[0-9]+ 212084182523..\\.")
add_test(Planimeter12 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/Planimeter" "--input-string" "66:33:44 0; 66:33:44 180")
set_tests_properties(Planimeter12 PROPERTIES  PASS_REGULAR_EXPRESSION "2 10465729\\.[0-9]+ -?0.0")
add_test(Planimeter13 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/Planimeter" "--input-string" "89 -360; 89 -240; 89 -120; 89 0; 89 120; 89 240")
set_tests_properties(Planimeter13 PROPERTIES  PASS_REGULAR_EXPRESSION "6 1160741\\..* 32415230256\\.")
add_test(Planimeter14 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/Planimeter" "--input-string" "-360 89;-240 89;-120 89;0 89;120 89;240 89" "-w")
set_tests_properties(Planimeter14 PROPERTIES  PASS_REGULAR_EXPRESSION "6 1160741\\..* 32415230256\\.")
add_test(Planimeter15 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/Planimeter" "--input-string" "2 1;1 2;3 3")
set_tests_properties(Planimeter15 PROPERTIES  PASS_REGULAR_EXPRESSION " 18454562325\\.5")
add_test(Planimeter16 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/Planimeter" "--input-string" "2 1;1 2;3 3" "-s")
set_tests_properties(Planimeter16 PROPERTIES  PASS_REGULAR_EXPRESSION " 18454562325\\.5")
add_test(Planimeter17 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/Planimeter" "--input-string" "2 1;1 2;3 3" "-r")
set_tests_properties(Planimeter17 PROPERTIES  PASS_REGULAR_EXPRESSION " -18454562325\\.5")
add_test(Planimeter18 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/Planimeter" "--input-string" "2 1;1 2;3 3" "-r" "-s")
set_tests_properties(Planimeter18 PROPERTIES  PASS_REGULAR_EXPRESSION " 510047167161763\\.[01]")
add_test(Planimeter19 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/Planimeter" "--input-string" "1 1")
set_tests_properties(Planimeter19 PROPERTIES  PASS_REGULAR_EXPRESSION "1 0\\.0* 0\\.0")
add_test(Planimeter20 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/Planimeter" "--input-string" "1 1" "-l")
set_tests_properties(Planimeter20 PROPERTIES  PASS_REGULAR_EXPRESSION "1 0\\.0*")
add_test(Planimeter21 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/Planimeter" "--input-string" "45 60;45 180;45 -60;45 60;45 180;45 -60;45 60;45 180;45 -60")
set_tests_properties(Planimeter21 PROPERTIES  PASS_REGULAR_EXPRESSION " 118301654599714\\.[2-5]")
add_test(Planimeter22 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/Planimeter" "--input-string" "45 60;45 180;45 -60;45 60;45 180;45 -60;45 60;45 180;45 -60" "-s")
set_tests_properties(Planimeter22 PROPERTIES  PASS_REGULAR_EXPRESSION " 118301654599714\\.[2-5]")
add_test(Planimeter23 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/Planimeter" "--input-string" "45 60;45 180;45 -60;45 60;45 180;45 -60;45 60;45 180;45 -60" "-r")
set_tests_properties(Planimeter23 PROPERTIES  PASS_REGULAR_EXPRESSION " -118301654599714\\.[2-5]")
add_test(Planimeter24 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/Planimeter" "--input-string" "45 60;45 180;45 -60;45 60;45 180;45 -60;45 60;45 180;45 -60" "-r" "-s")
set_tests_properties(Planimeter24 PROPERTIES  PASS_REGULAR_EXPRESSION " 391763967124374\\.[0-3]")
add_test(Planimeter25 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/Planimeter" "--input-string" "45 60;45 180;45 -60;45 60;45 180;45 -60;45 60;45 180;45 -60;45 60;45 180;45 -60")
set_tests_properties(Planimeter25 PROPERTIES  PASS_REGULAR_EXPRESSION " 157735539466285\\.[6-9]")
add_test(Planimeter26 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/Planimeter" "--input-string" "45 60;45 180;45 -60;45 60;45 180;45 -60;45 60;45 180;45 -60;45 60;45 180;45 -60" "-s")
set_tests_properties(Planimeter26 PROPERTIES  PASS_REGULAR_EXPRESSION " 157735539466285\\.[6-9]")
add_test(Planimeter27 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/Planimeter" "--input-string" "45 60;45 180;45 -60;45 60;45 180;45 -60;45 60;45 180;45 -60;45 60;45 180;45 -60" "-r")
set_tests_properties(Planimeter27 PROPERTIES  PASS_REGULAR_EXPRESSION " -157735539466285\\.[6-9]")
add_test(Planimeter28 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/Planimeter" "--input-string" "45 60;45 180;45 -60;45 60;45 180;45 -60;45 60;45 180;45 -60;45 60;45 180;45 -60" "-r" "-s")
set_tests_properties(Planimeter28 PROPERTIES  PASS_REGULAR_EXPRESSION " 352330082257802\\.[5-9]")
add_test(ConicProj0 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/ConicProj" "-a" "40d58" "39d56" "-l" "77d45W" "-r" "--input-string" "220e3 -52e3")
set_tests_properties(ConicProj0 PROPERTIES  PASS_REGULAR_EXPRESSION "39\\.95[0-9]+ -75\\.17[0-9]+ 1\\.67[0-9]+ 0\\.99[0-9]+")
add_test(ConicProj1 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/ConicProj" "-a" "0" "0" "-e" "6.4e6" "-0.5" "-r" "--input-string" "0 8605508")
set_tests_properties(ConicProj1 PROPERTIES  PASS_REGULAR_EXPRESSION "^85\\.00")
add_test(ConicProj2 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/ConicProj" "-c" "-30" "-30" "--input-string" "-30 0")
set_tests_properties(ConicProj2 PROPERTIES  PASS_REGULAR_EXPRESSION "^-?0\\.0+ -?0\\.0+ -?0\\.0+ 1\\.0+")
add_test(ConicProj3 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/ConicProj" "-r" "-c" "0" "0" "--input-string" "1113195 -1e10")
set_tests_properties(ConicProj3 PROPERTIES  PASS_REGULAR_EXPRESSION "^-90\\.0+ 10\\.00[0-9]+ ")
add_test(ConicProj4 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/ConicProj" "-r" "-c" "0" "0" "--input-string" "1113195 inf")
set_tests_properties(ConicProj4 PROPERTIES  PASS_REGULAR_EXPRESSION "^90\\.0+ 10\\.00[0-9]+ ")
add_test(ConicProj5 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/ConicProj" "-r" "-c" "45" "45" "--input-string" "0 -1e100")
set_tests_properties(ConicProj5 PROPERTIES  PASS_REGULAR_EXPRESSION "^-90\\.0+ -?0\\.00[0-9]+ ")
add_test(ConicProj6 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/ConicProj" "-r" "-c" "45" "45" "--input-string" "0 -inf")
set_tests_properties(ConicProj6 PROPERTIES  PASS_REGULAR_EXPRESSION "^-90\\.0+ -?0\\.00[0-9]+ ")
add_test(ConicProj7 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/ConicProj" "-r" "-c" "90" "90" "--input-string" "0 -1e150")
set_tests_properties(ConicProj7 PROPERTIES  PASS_REGULAR_EXPRESSION "^-90\\.0+ -?0\\.00[0-9]+ ")
add_test(ConicProj8 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/ConicProj" "-r" "-c" "90" "90" "--input-string" "0 -inf")
set_tests_properties(ConicProj8 PROPERTIES  PASS_REGULAR_EXPRESSION "^-90\\.0+ -?0\\.00[0-9]+ ")
add_test(CartConvert0 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/CartConvert" "-e" "6.4e6" "1/100" "-r" "--input-string" "10e3 0 1e3")
set_tests_properties(CartConvert0 PROPERTIES  PASS_REGULAR_EXPRESSION "85\\.57[0-9]+ 0\\.0[0]+ -6334614\\.[0-9]+")
add_test(CartConvert1 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/CartConvert" "-e" "6.4e6" "-1/100" "-r" "--input-string" "1e3 0 10e3")
set_tests_properties(CartConvert1 PROPERTIES  PASS_REGULAR_EXPRESSION "4\\.42[0-9]+ 0\\.0[0]+ -6398614\\.[0-9]+")
add_test(TransverseMercatorProj0 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/TransverseMercatorProj" "-k" "1" "--input-string" "90 75")
set_tests_properties(TransverseMercatorProj0 PROPERTIES  PASS_REGULAR_EXPRESSION "^0\\.0+ 10001965\\.7293[0-9]+ 75\\.0+ 1\\.0+")
add_test(TransverseMercatorProj1 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/TransverseMercatorProj" "-k" "1" "--input-string" "90 75" "-s")
set_tests_properties(TransverseMercatorProj1 PROPERTIES  PASS_REGULAR_EXPRESSION "^0\\.0+ 10001965\\.7293[0-9]+ 75\\.0+ 1\\.0+")
add_test(TransverseMercatorProj2 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/TransverseMercatorProj" "-k" "1" "-r" "--input-string" "0 10001965.7293127228")
set_tests_properties(TransverseMercatorProj2 PROPERTIES  PASS_REGULAR_EXPRESSION "(90\\.0+ 0\\.0+ 0\\.0+|(90\\.0+|89\\.99999999999[0-9]+) -?180\\.0+ -?180\\.0+) (1\\.0000+|0\\.9999+)")
add_test(TransverseMercatorProj3 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/TransverseMercatorProj" "-k" "1" "-r" "--input-string" "0 10001965.7293127228" "-s")
set_tests_properties(TransverseMercatorProj3 PROPERTIES  PASS_REGULAR_EXPRESSION "(90\\.0+ 0\\.0+ 0\\.0+|(90\\.0+|89\\.99999999999[0-9]+) -?180\\.0+ -?180\\.0+) (1\\.0000+|0\\.9999+)")
add_test(TransverseMercatorProj4 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/TransverseMercatorProj" "-e" "6.4e6" "1/150" "--input-string" "20 30")
set_tests_properties(TransverseMercatorProj4 PROPERTIES  PASS_REGULAR_EXPRESSION "3266035\\.453860 2518371\\.552676 11\\.207356502141 1\\.134138960741")
add_test(TransverseMercatorProj5 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/TransverseMercatorProj" "-e" "6.4e6" "1/150" "--input-string" "20 30" "-s")
set_tests_properties(TransverseMercatorProj5 PROPERTIES  PASS_REGULAR_EXPRESSION "3266035\\.453860 2518371\\.552676 11\\.207356502141 1\\.134138960741")
add_test(TransverseMercatorProj6 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/TransverseMercatorProj" "-e" "6.4e6" "1/150" "--input-string" "3.3e6 2.5e6" "-r")
set_tests_properties(TransverseMercatorProj6 PROPERTIES  PASS_REGULAR_EXPRESSION "19\\.80370996793 30\\.24919702282 11\\.214378172893 1\\.137025775759")
add_test(TransverseMercatorProj7 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/TransverseMercatorProj" "-e" "6.4e6" "1/150" "--input-string" "3.3e6 2.5e6" "-r" "-s")
set_tests_properties(TransverseMercatorProj7 PROPERTIES  PASS_REGULAR_EXPRESSION "19\\.80370996793 30\\.24919702282 11\\.214378172893 1\\.137025775759")
add_test(RhumbSolve0 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/RhumbSolve" "-p" "3" "-i" "--input-string" "0 0 90 0")
set_tests_properties(RhumbSolve0 PROPERTIES  PASS_REGULAR_EXPRESSION "^0\\.0+ 10001965\\.729 0[
]")
add_test(RhumbSolve1 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/RhumbSolve" "-p" "3" "-i" "--input-string" "0 0 90 0" "-s")
set_tests_properties(RhumbSolve1 PROPERTIES  PASS_REGULAR_EXPRESSION "^0\\.0+ 10001965\\.729 0[
]")
add_test(RhumbSolve2 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/RhumbSolve" "-p" "3" "-i" "--input-string" "0 0 90 30")
set_tests_properties(RhumbSolve2 PROPERTIES  PASS_REGULAR_EXPRESSION "^0.41222947 10002224.609 21050634712282[
]")
add_test(RhumbSolve3 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/RhumbSolve" "-p" "3" "-i" "--input-string" "0 0 90 30" "-s")
set_tests_properties(RhumbSolve3 PROPERTIES  PASS_REGULAR_EXPRESSION "^0.41222947 10002224.609 21050634712282[
]")
add_test(GeodesicProj0 "/home/valentin/src/GeographicLib-1.50.1/BUILD/tools/GeodesicProj" "-c" "0" "0" "-p" "3" "--input-string" "90 80")
set_tests_properties(GeodesicProj0 PROPERTIES  PASS_REGULAR_EXPRESSION "^-?0\\.0+ [0-9]+\\.[0-9]+ 170\\.0+ ")
subdirs("src")
subdirs("include/GeographicLib")
subdirs("tools")
subdirs("man")
subdirs("doc")
subdirs("js")
subdirs("matlab")
subdirs("python/geographiclib")
subdirs("examples")
subdirs("cmake")
